Get NFT Collections By Creator
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the sorting criteria for the results. Multiple fields can be used for sorting. |
Query Fields
Parameter | Type | Description |
|---|---|---|
collection_id | string | The collection ID. |
collection_name | string | The collection name. |
creator_address | string | The address of the creator. |
description | string | The description. |
current_supply | integer | The current supply. |
last_transaction_version | integer | The version of the last transaction. |
last_transaction_timestamp | string | The timestamp of the last transaction (ISO 8601 format). |
max_supply | integer | The maximum supply. |
mutable_description | boolean | Whether the description is mutable. |
mutable_uri | boolean | Whether the URI is mutable. |
token_standard | string | The token standard. |
total_minted_v2 | integer | Total minted amount (v2). |
uri | string | The URI. |
table_handle_v1 | string | The table handle (v1). |
Example
Request Example
query MyQuery {
current_collections_v2(
limit: 5
offset: 0
order_by: {last_transaction_version: asc}
where: {
creator_address: {
_eq: "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
}
}
) {
collection_id
collection_name
creator_address
description
current_supply
last_transaction_version
last_transaction_timestamp
max_supply
mutable_description
mutable_uri
token_standard
total_minted_v2
uri
table_handle_v1
}
}
Response Example
{
"data": {
"current_collections_v2": [
{
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702",
"description": "A group of skilled monkeys working together to build a civilized jungle. Each monkey has its unique intelligence to create long-lasting products to foster productivity and effectiveness in the Aptos ecosystem.",
"current_supply": 7777,
"last_transaction_version": 12727777,
"last_transaction_timestamp": "2022-10-25T19:40:43.191924",
"max_supply": 7777,
"mutable_description": true,
"mutable_uri": true,
"token_standard": "v1",
"total_minted_v2": null,
"uri": "https://ibb.co/t3ckz86",
"table_handle_v1": "0xb718feaaf6a00862ad067cdbac3f3ba54f0603026183ed4a7c06940da6b37e93"
}
]
}
}